set ::blt_version 2.4
package require BLT
package require BWidget

set scriptpath [file dirname $::argv0]

#   
array set argvdata [list -url {}]
array set argvdata $::argv


if { $argvdata(-url) == {} } {
    mputs "Usage: ptkclient -url <url> -proxy <proxy addr:proxy port>\n\
            Sample: ptkclient -url https://server.infohit.ru:14000/ptk \n
            Sample: ptkclient -url https://server.infohit.ru:14000/ptk -proxy proxyhost:8080\n"
} else {

    set title "...($argvdata(-url)"
    if [info exists argvdata(-proxy)] {
        append title " via $argvdata(-proxy)"
    }
    append title ")"
    wm title . $title
    set w 450
    set h 50
    set xcord [expr ([winfo screenwidth .]-$w)/2 ]
    set ycord [expr ([winfo screenheight .]-$h)/2 ]

    wm geometry . $w\x$h+$xcord+$ycord

    label .l -text ... -font Arial
    pack .l -anchor center -expand yes

    wm deiconify .
    ::blt::busy hold .
    update

    if [info exists argvdata(-proxy)] {
        set ptksrv [createPTKsession $argvdata(-url) $argvdata(-proxy)]
    } else {
        set ptksrv [createPTKsession $argvdata(-url)]
    }
    mputs Connecting...
    while [catch { eval [requestPTK $ptksrv pxy_init {}] }] {
        mputs $::errorInfo
        if { [MessageDlg .errmsg -cancel 1 -default 0 -type user -buttons { } -aspect 200 \
                -title  -message {      } -icon error] == 0 } {
            .l configure -text { ...}
        } else {
            break
        }
        mputs Retrying...
    }
    closePTKsession $ptksrv
    mputs {PTK closed}
}

